import React, { useState, useEffect } from 'react'
import './css/mystyle.scss'
import './js/jquery-3.2.1.slim.min.js'
import slider from '../../../Assets/images/slider-1252.jpg';
import menu from '../../../Assets/images/menu (1).png';
import { Helmet } from 'react-helmet';
import 'bootstrap/dist/js/bootstrap.min.js'
import logo from '../../../Assets/logo.png';
import helper from '../../../Helper/function';
import './css/style.scss'
import './css/responsive.scss'
import { NavLink, useLocation, useNavigate } from 'react-router-dom';
import Footer from "./Footer"
import FacebookIcon from '@mui/icons-material/Facebook';
import GoogleIcon from '@mui/icons-material/Google';
import TwitterIcon from '@mui/icons-material/Twitter';
import InstagramIcon from '@mui/icons-material/Instagram';
import SubscriptionsOutlinedIcon from '@mui/icons-material/SubscriptionsOutlined';
export default function Landingpage() {
    const location = useLocation();
    let navigate = useNavigate();
    const [blogData, setBlogData] = useState([]);
    const [blog_image, setBlogImage] = useState([]);
    let blog_param = window.location.href.split('/')
    const getBlogData = async () => {
        try {
            const data = { env_type: 1, blog_id: blog_param[4] }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const blog_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_blog_data = await fetch(process.env.APIURL + "/get-blogs-details", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: blog_data
            });
            const finalBlogData = await api_blog_data.json();
            console.log("finalBlogData.status", finalBlogData.status)
            if (finalBlogData.status) {
                const responseData = finalBlogData.resData;
                const responseKey = finalBlogData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const enc_finalBlogData = helper.EncrptDecryptApiData(responseData, original_key, 2);
                setBlogData(JSON.parse(enc_finalBlogData).result[0])
                setBlogImage(JSON.parse(enc_finalBlogData).path)
            } else {
                navigate(`/blogs`)
                return;
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBlogData();
    }, []);
    function scroll() {
        document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
    }

    const heightManage = () => {
        count += 1;
        if (count % 2 == 1) {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'block';
            document.getElementById("navbarSupportedContent").style.marginLeft = '20px';
            document.getElementById("scroll").style.backgroundColor = "rgba(24, 27, 34,0.5)";
        } else {
            var element = document.getElementById('scroll');
            element.classList.toggle("heightChange");
            document.getElementById("navbarSupportedContent").style.display = 'none';
            document.getElementById("navbarSupportedContent").style.marginLeft = '0px';
            document.getElementById("scroll").style.backgroundColor = "none";
        }

    }
    return (
        <>
            <Helmet>
                <title>{blogData.page_title}</title>
                <meta charSet='utf-8' />
                {/* <meta name="description" content={blogData.meta_description} /> */}
                <meta name="description" content="TEJ MATKA is Online Matka App. It's India's No.1 best playing Satta Matka App. Play online matka, satta matka, kalyan satta and other games online! Get expert advice and Matka tips. Get the most trusted results daily! Download the App Now!" />
                <meta name="keywords" content={blogData.meta_keyword} />
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                <meta property='og:image' content={`${process.env.APIURL}/uploads/seo/${blogData.open_graph_image}`} />
                <meta property="og:url" content={`${process.env.BASEURL}`} />
                <meta property="og:type" content="website" />
                <meta property="og:title" content={`${blogData.page_title}`} />
                <meta property="og:description" content={`${blogData.meta_description}`} />
                {blogData.meta_remaining}
                {blogData.open_graph}
            </Helmet>
            <div style={{ overflowY: 'scroll', overflowX: 'hidden', height: '100%' }} onScroll={scroll}>
                <header className="header-arya-sec" id="scroll" >
                    <div className="container" style={{ padding: "0px" }} >
                        <nav className="navbar navbar-expand-lg">
                            <a className="navbar-brand logo-a" href={`${process.env.BASEURL}`}><img src={logo} width='50px' alt="tej matka logo" /></a>
                            <button className="navbar-toggler navbar-toggler-152" onClick={heightManage} type="button" data-toggle="collapse"
                                data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                                aria-label="Toggle navigation">
                                <img src={menu} style={{ width: "25px" }} aria-hidden="true" />
                            </button>

                            <div className="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul className="navbar-nav ml-auto">
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#home">Home </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href={`${process.env.BASEURL}blogs`}>Blogs </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#result">Results </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#about">About Us </a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#chart">Time Table</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#rate">Rate Chart</a>
                                    </li>
                                    <li className="nav-item active">
                                        <a className="nav-link" href="#how">How to Play</a>
                                    </li>
                                    <li class="nav-item dropdown-custom">
                                        <a href='#' className='nav-link'>Marketsss</a>
                                        <div class="dropdown-custom-content">
                                            <div className='d-flex flex-column'>
                                                <NavLink className="cursor-pointer p-2" to='/dp-boss-matka'>
                                                    DP Boss Matka
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/satta-king'>
                                                    Satta King
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/gali-disawar'>
                                                    Gali Disawar
                                                </NavLink>
                                                <NavLink className="cursor-pointer p-2" to='/kalyan-results'>
                                                    Kalyan Result
                                                </NavLink>
                                            </div>
                                        </div>
                                    </li>
                                    {/* <li class="nav-item dropdown">
                                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            Markets
                                        </a>
                                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                            <a class="dropdown-item" href="#">DP Boss Matka</a>
                                            <a class="dropdown-item" href="#">Satta King</a>
                                            <a class="dropdown-item" href="#">Gali Disawar</a>
                                            <a class="dropdown-item" href="#">Kalyan Result</a>
                                        </div>
                                    </li> */}
                                </ul>
                                <div className='row'>
                                    {frontData.facebook != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-fb">
                                                <a target="_blank" rel="noreferrer" href={frontData.facebook}><FacebookIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.google_plus != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-google">
                                                <a target="_blank" rel="noreferrer" href={frontData.google_plus}><GoogleIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.twitter != "" ?

                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-twitter">
                                                <a target="_blank" rel="noreferrer" href={frontData.twitter}><TwitterIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.instagram != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-insta">
                                                <a target="_blank" rel="noreferrer" href={frontData.instagram}><InstagramIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                    {frontData.youtube != "" ?
                                        <div className="col-1 ps-5">
                                            <div className="social-icons img-social-yt">
                                                <a target="_blank" rel="noreferrer" href={frontData.youtube}><SubscriptionsOutlinedIcon fontSize="medium" /></a>
                                            </div>
                                        </div>
                                        :
                                        <></>
                                    }
                                </div>
                            </div>
                        </nav>
                    </div>
                </header>
                <section className="slider-sec-blogs" id='sec' style={{ backgroundImage: `url(${slider}` }}>
                    <div className="container">
                        <div className="row">
                            <div className="col-lg-12 col-12 col-sm-7">
                                <div className="slider-main-hed">
                                    <h2>BLOGS</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <section className="Jodi-Charts blogs-card-img-full">
                    <div className="container">
                        <h3 className="text-center">{blogData.page_title}</h3>
                        <hr />
                        <div className='row'>
                            <div class="card mb-3">
                                <img class="card-img-top" src={`${process.env.APIURL}/${blog_image + blogData.cover_image}`} alt="Blogs Cover" />
                                <div class="card-body">
                                    <h5 class="card-title">{blogData.page_title}</h5>
                                    <p class="card-text" dangerouslySetInnerHTML={{ __html: (blogData.blog_content) }}></p>
                                    <p class="card-text"><small class="text-muted">{blogData.publish_date}</small></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <Footer />
            </div>
        </>
    )
}
