import React, { useState, useEffect } from 'react'
import helper from '../../../Helper/function';
import { Helmet } from 'react-helmet';
import { useLocation } from "react-router-dom"
import NotFound from '../NotFound';
export default function Charts() {
    const [frontData, setFrontData] = useState([]);
    const location = useLocation()
    const getFrontData = async () => {
        try {
            const data = { env_type: 1 }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const front_data = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let api_front_data = await fetch(process.env.APIURL + "/view-front-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: front_data
            });
            const finalFrontData = await api_front_data.json();
            const responseData = finalFrontData.resData;
            const responseKey = finalFrontData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const enc_finalFrontData = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setFrontData(JSON.parse(enc_finalFrontData))
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getFrontData();
    }, []);
    return (
        <>
            <Helmet>
                <title>{frontData.page_title}</title>
                <meta charSet='utf-8' />
                <meta name="description" content={frontData.meta_description} />
                <meta name="keywords" content={frontData.meta_keyword} />
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                <meta property='og:image' content={`${process.env.APIURL}/uploads/seo/${frontData.open_graph_image}`} />
                <meta property="og:url" content="http://142.132.229.43/" />
                <meta property="og:type" content="website" />
                <meta property="og:title" content={`${frontData.page_title}`} />
                <meta property="og:description" content={`${frontData.meta_description}`} />
                {frontData.meta_remaining}
                {frontData.open_graph}
            </Helmet>
            <section>
                {location?.state?.chartID ?
                    <iframe src={`${process.env.APIURL}/${location?.state?.chartID}`} width="100%" title="Charts Details" style={{ height: "100vh" }}></iframe>
                    :
                    <NotFound />
                }
            </section>
        </>
    )
}
