import React from 'react'
import { NavLink } from 'react-router-dom';
import backArrow from '../../../Assets/back.png'
import wallet from '../../../Assets/wallet.png'
import nodata from '../../../Assets/nodata.jpeg'
import { Helmet } from 'react-helmet';
import helper from '../../../Helper/function';
import { useEffect, useState } from 'react';
import notfound from '../../../Assets/datanotfound.png';
import classnames from 'classnames';
import $ from 'jquery';
import 'jquery/dist/jquery.min.js'
import { ToastContainer, toast } from 'react-toastify';
import moment from 'moment';


function AddFund() {
    let profileSessionData = localStorage.getItem('profileDataUser')
    const UserShowData = JSON.parse(profileSessionData);
    let sessionData = localStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);

    const [token, setToken] = useState(reqSessionData.unique_token)
    const [walletBalance, setWalletBalance] = useState([]);
    const [description ,setDescription] = useState('')
    const [mypeSelect, SetmypeSelect] = useState('');
    const [offerData, setOfferData] = useState([]);
    const [imgpath, setImgPath] = useState('');
    const [image, setImage] = useState('');
    const [height, setHeight] = useState('');
    const [addfund, setAddFundData] = useState([]);
    

    
    const [amountErr, SetamountErr] = useState('');
    const [amount, Setamount] = useState('');

    const haldleChange = (e, name) => {
        const user = {};
        user[name] = e.target.value;
        var format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
        switch (name) {
            case 'amount':
                Setamount(user.amount)
                format.test(user.amount) ?
                    SetamountErr('Invalid Amount') : SetamountErr('');
                break;
            default: break;
        }
    }
    const getBalanceData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/get-user-wallet-balance", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });
            const actualData = await walletBalanceDatas.json();
            const responseData = actualData.resData;
            const responseKey = actualData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setWalletBalance(JSON.parse(walletBalances));

        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        getBalanceData();
    }, []);
    const offerAvaibility = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            // console.log(data)
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const offer = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let offerData = await fetch(process.env.APIURL + "/api-check-offer-availability", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: offer
            });
            const myOfferData = await offerData.json();
            console.log("myOfferData",myOfferData)
            if(myOfferData.status==true && myOfferData.offersDetails[0].offer_img !="" ){
                setHeight("60vh")
                setImage(myOfferData.offersDetails[0].offer_img)
                setDescription(myOfferData.offersDetails[0].offer_description)
                setImgPath(myOfferData.img_path)
            }else{
                setHeight("72vh")
                setImage('')
                setDescription('')
                setImgPath('')
            }
            console.log("height",height)
            // setWalletBalance(JSON.parse(walletBalances));

        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        offerAvaibility();
    }, []);
    const addFundList = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            // console.log(data)
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const addData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let addMoneyData = await fetch(process.env.APIURL + "/get-auto-deposit-list", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: addData
            });
            const myOfferData = await addMoneyData.json();
            // console.log('feature',myOfferData)
            const responseData = myOfferData.resData;
            const responseKey = myOfferData.resKey;
            var mykey = responseKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const addMoneyDataList = helper.EncrptDecryptApiData(responseData, original_key, 2);
            setAddFundData(JSON.parse(addMoneyDataList).result);

            // setAddFundData(addMoneyDataList)
            // console.log(addMoneyDataList)
         

        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        addFundList();
    }, []);
    function validate() {
        var format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
        if (!format.test(amount)) {
            localStorage.setItem('amount', amount);
            const tyedata = $('.selectmychoice :selected').val();
            localStorage.setItem('typeselected', tyedata);
            SetmypeSelect(tyedata);
            var a = parseInt(walletBalance.wallet_balance);
            var c = parseInt(walletBalance.min_withdrawal);
            var d = parseInt(walletBalance.max_withdrawal);
            var b = parseInt(amount);
            var format = /[ `!@#$%^&*()_+\-=\[\]{};':"\\|,.<>\/?~]/;
            if (amount == "") {
                SetamountErr("Amount Required");
            }
            if (format.test(amount)) {
                SetamountErr('Invalid Amount')
            }
            if ($('input[name=payment]').is(':checked') == false) {
                SetUPIErr("Please Select UPI Method");
                return false;
            }
            if (b > a) {
                SetamountErr("Insufficient Amount");
                return false;
            }
            if (amount == "") {
                SetamountErr("Amount Required");
            }
            else {
                const paymentStatus = helper.openSelectedPaymentMethod($('input[name="payment"]:checked').val(), amount)
                if (paymentStatus == 1) {
                    getBalanceData()
                    toast("Working..............");
                }
            }
        } else {
            SetamountErr('Invalid Amount');
        }
    }
    const changePaymentMethod = (type) => {
        if (type == 1) {
            $("#paymentMethod1").prop("checked", true);
            $("#paymentMethod2").prop("checked", false);
            $("#paymentMethod3").prop("checked", false);
        } else if (type == 2) {
            $("#paymentMethod1").prop("checked", false);
            $("#paymentMethod2").prop("checked", true);
            $("#paymentMethod3").prop("checked", false);
        } else {
            $("#paymentMethod1").prop("checked", false);
            $("#paymentMethod2").prop("checked", false);
            $("#paymentMethod3").prop("checked", true);
        }
    }
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>


            <div className='container-add'>
                <div className='resposive'>
                    <div className='container-child-upper'>
                        <div className='header'>
                            <NavLink exact to={`/${process.env.USER}/wallet`} className='back-arrow'>
                                <img src={backArrow} alt="back-arrow" class=" w-50" />
                            </NavLink>
                            <div className='header-text'>
                                Add Fund
                            </div>
                            <div className='profile-icon'>0
                                <div className='logo-image'>
                                    <img src={wallet} alt="profile" />
                                </div>
                                <div className='text'>
                                    {walletBalance.wallet_balance}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div className='container'>
                        {(image!="")?
                            // <div className='container-child-bottom'>
                            //     <div className='main-parent' >
                            //         <div className='main-child'>
                            //             <div className='content-body' style={{marginTop:'10px'}}>
                            //                 <div className='content-main-body'>
                            //                     <div className='content-child'>
                            //                         <div className='input-fields-body '>
                            //                             <div className='input-field-box p-3 d-block'>
                            //                                 {/* <input id="cleancred" style={{ textAlign: "left", fontWeight: "100", backgroundColor: "transparent", borderRadius: "10px" }} className={classnames("form-control amount-valid text-secondary place", { 'is-invalid': amountErr, 'is-valid': !amountErr && amount.length })} onChange={(e) => haldleChange(e, 'amount')} name="amount" type="number" placeholder="Amount" autoComplete='off' />
                            //                                 {amountErr && <small className="text-danger message">{amountErr}</small>} */}
                            //                                 <a data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                            //                             <img className='img-fluid' src={`${process.env.APIURL+'/'+imgpath+image}`}  />
                            //                             </a>
                            //                             </div>
                            //                         </div>
                            
                            //                     </div>
                            //                 </div>

                            //             </div>
                            //         </div>



                            //     </div>
                            //     <ToastContainer
                            //         position="bottom-center"
                            //         autoClose={3000}
                            //         hideProgressBar={false}
                            //         newestOnTop={false}
                            //         closeOnClick
                            //         rtl={false}
                            //         pauseOnFocusLoss
                            //         draggable={true}
                            //         limit={1}
                            //         pauseOnHover
                            //         theme="dark"
                            //         draggablePercent={60}
                            //     />
                            // </div>
                            <div>
                                <div className="images cl1">
                                    <div className={`photo`}>
                                        <a data-bs-toggle="modal" data-bs-target="#staticBackdrop">
                                            <img className='img-fluid d-block w-100 rolletes' src={`${process.env.APIURL+'/'+imgpath+image}`}/>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            :
                            <>
                            </>
                        }
                    {/* <div className='container-child-bottom'>
                        <div className='main-parent'>
                            <div className='main-child'>
                                <div className='content-body'>
                                    <div className='content-main-body'>
                                        <div className='content-child'>
                                            <div className='input-fields-body'>
                                                <div className='input-field-box'>
                                                <input style={{ textAlign: "left", fontWeight: "100", backgroundColor: "transparent", borderRadius: "10px" }} className={classnames("form-control amount-valid text-secondary place", { 'is-invalid': amountErr, 'is-valid': !amountErr && amount.length })} onChange={(e) => haldleChange(e, 'amount')} name="amount" type="number" placeholder="Amount" autoComplete='off' />
                                                {amountErr && <small className="text-danger message">{amountErr}</small>}
                                                </div>
                                            </div>
                                            <div className='radio-button-fields'>
                                                <div className='buttons-actual-size'>
                                                    <div className='buttons-divide'>
                                                        <div className='buttons-body-gpay'>
                                                            <div className='radio-button'>
                                                                <input type="radio" name="payment" />
                                                            </div>
                                                            <div className='text' name="payment">
                                                                G-Pay
                                                            </div>

                                                        </div>
                                                    </div>
                                                    <div className='buttons-divide'>
                                                        <div className='buttons-body-phonepe'>
                                                            <div className='radio-button'>
                                                                <input type="radio" name="payment" />

                                                            </div>
                                                            <div className='text' name="payment">
                                                                PhonePe
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div className='buttons-divide'>
                                                        <div className='buttons-body-other'>
                                                            <div className='radio-button'>
                                                                <input type="radio" name="payment" />

                                                            </div>
                                                            <div className='text' name="payment">
                                                                Other
                                                            </div>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>

                                            <div className="go-wallet-shadow">
                                                <button type="button" onClick={validate} className="wallet-go">GO</button>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                            <div className='main-child' >
                                <div className="background" style={{ backgroundImage:`url(${nodata})`, width:"200px"}}>
                                </div>
                            </div>

                        </div>

                    </div> */}

                <div class="card-new" style={{marginTop:"5px"}}>
                    <div class="rightTI li">★Add Fund is only available in app★</div>         
                </div>
                <div class="card-new card-new-1" style={{marginTop:"5px",marginBottom:"5px"}}>
                    <h2 class="card__title">Transcation History</h2>
                </div>
                {/* <div>
                <h6 className="text-center">-: Transcation History :-</h6>
                 { console.log(addfund)} 
              </div> */}
              
              {
              (addfund != '')?
            <div  style={{ overflowY: "scroll", overflowX: "hidden", height:`${height}`}}>
                <div>
                    {
                    addfund.map((item, index) => {
                        return (
                        <>{
                            <div key={index} className="wallet-datas py-3 p-2">
                                {/* <a href={`${process.env.APIURL}/uploads/file/${item.payment_receipt}`} target="_blank"> */}
                                <div className='upper-row' style={{ color: "black" }}>
                                    <div className='upper-left'>
                                    ID :-
                                    </div>
                                    <div className='upper-right'>
                                    #{item.txn_id}
                                    </div>
                                </div>
                                <div className="row">
                                    <div className="col-8">
                                    <p style={{ textTransform: "uppercase", fontSize: "12px" }}>Payment Method :- <span id="payments" style={{ fontWeight: "100", fontSize: "12px" }}>{
                                        item.payment_method 
                                    }</span></p>
                                    </div>
                                    <div className="col-4 wallet-right">
                                    <p className='pe-2'>{item.amount + 'pts'}</p>
                                    </div>
                                </div>
                                <div className="row">
                                    <div className="col-8">
                                    <p style={{fontWeight: "100", color: "gray", fontSize: "12px", letterSpacing: "1px" }}>Date:- &nbsp;{moment(item.createdAt).format('Do MMMM YYYY, h:mm A')}</p>
                                    </div>
                                    <div className="col-4 wallet-right">
                                    <div className=" bg-transparent shadow-none text-success border-white btn-sm reject pe-2 ps-2"><p style={{ textTransform: "uppercase", fontSize: "12px" }}><span id="payments" style={{ fontWeight: "100", fontSize: "12px" }}>{
                                        
                                        (item.deposit_type == 1 && item.fund_status == 0)
                                        ?
                                        <span className="text-warning bg-green-100 deposite-money">
                                            Pending
                                        </span>
                                        :
                                        (item.deposit_type == 1 && item.fund_status == 1)
                                        ?
                                            <span className="text-success bg-teal-100 deposite-money">
                                            Approved
                                            </span>
                                            :
                                            (item.deposit_type == 1 && item.fund_status == 2)
                                            ?
                                            <span className="text-danger bg-teal-100 deposite-money">
                                                Rejected
                                            </span>
                                            :
                                            <span className="text-success bg-red-100 deposite-money">
                                            Auto Approved
                                            </span>
                                    }</span></p></div>
                                    </div>
                                </div>
                                {
                                    (item.reject_remark=="")?
                                    <></>
                                    :
                                    <>
                                    <div className="row">
                                        <div className="col-8">
                                        <p style={{ fontWeight: "100", fontSize: "12px", letterSpacing: "1px" }}>Remark:-&nbsp;{item.reject_remark}</p>
                                        </div>
                                    </div>
                                    </>
                                }
                                {/* {(item.reject_remark !== "") ?
                                
                                } */}
                                {/* </a> */}
                            </div>
                        }
                        </>
                        );
                    }
                    )
                    }
    
                </div>
            </div>
                :
             <div className='nodatafound'>
             <img src={notfound} style={{ width: "100%" }} alt="not found" />
           </div>
            }
            </div>
            </div>
            </div>
            {/* {console.log(description)} */}
            <div className="modal fade" id="staticBackdrop" data-bs-backdrop="static" data-bs-keyboard="false" tabIndex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true" >
                <div className="modal-dialog modal-dialog-centered">
                    <div className="modal-content">
                    <div className="modal-header border-0">
                        <button type="button" className="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>    
                    <div className="modal-body text-left">
                            <div className="p-1">
                                <h6>{description}</h6>
                            </div>
                        </div>
                    </div>
                </div>
                </div>
        </>
    )
}

export default AddFund