import React from 'react'
import { useState , useEffect } from "react";
import ReactDOM from 'react-dom'
import VisibilityIcon from '@mui/icons-material/Visibility';
import VisibilityOffIcon from '@mui/icons-material/VisibilityOff';
import back from '../../../Assets/back.png';
import Logo from '../../../Assets/logo.png';
import classnames from 'classnames';
import $ from 'jquery';
import helper from '../../../Helper/function';
import {NavLink} from 'react-router-dom';
import {Helmet} from 'react-helmet';
import { ToastContainer, toast } from 'react-toastify';


function ChangePassword() {
    const [passwordShown, setPasswordShown] = useState(false);
    const [passwordShown1, setPasswordShown1] = useState(false);
    const [passwordShown2, setPasswordShown2] = useState(false);
    const [password, SetPassword] = useState('');
    const [passwordErr, SetPasswordErr] = useState('');
    const [newpassword, SetNewPassword] = useState('');
    const [newpasswordErr, SetNewPasswordErr] = useState('');
    const [confirmpassword, Setconfirmpassword] = useState('');
    const [confirmpasswordErr, SetconfirmpasswordErr] = useState('');
    let sessionData = localStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [token,setToken] = useState(reqSessionData.unique_token)


    const togglePassword = (e) => {
            setPasswordShown(!passwordShown);
    };
    const togglePassword1 = (e) => {
        setPasswordShown1(!passwordShown1);
    };
    const togglePassword2 = (e) => {
    setPasswordShown2(!passwordShown2);
    };

    const myChange = (e,name) => {
          const  user = {};
           user[name] = e.target.value;
           switch(name){
            case 'password':
            SetPassword(user.password)
            user.password.trim().length < 6 ? SetPasswordErr('Password must be at least 6 characters') : SetPasswordErr('');
            break;
            case 'new_password':
            SetNewPassword(user.new_password)
            user.new_password.trim().length < 6 ? SetNewPasswordErr('Password must be at least 6 characters') : SetNewPasswordErr('');
            break;
            case 'confirm_password':
            Setconfirmpassword(user.confirm_password)
            user.confirm_password != newpassword ? SetconfirmpasswordErr('Password Not Matched') : SetconfirmpasswordErr('');
            break;
            default:break;
           }
    }

    const submitPassword = async(e) => {
        e.preventDefault();
        if(password != '' && newpassword != '' && confirmpassword == newpassword && password.length >=6 && newpassword.length >=6 && confirmpassword.length >=6 ){
            // const setNumber = JSON.parse(forgetUser).paytmnumber;
            try {
                const data = {env_type:1,unique_token:token,old_pass:password,new_pass:newpassword}
                const encKey = helper.randomString(32);
                var mykey = encKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1],-3) 
                var myKey2 = helper.changeAlphaString(mykey[3],-3) 
                var original_key = mykey[0]+myKey1+mykey[2]+myKey2
                const reqdata = helper.EncrptDecryptApiData(data,encKey,1);
                const submitPassword = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`   ; 
                let result = await fetch(process.env.APIURL+"/change-password", {
                    method: 'PUT',
                    headers: {
                        "Content-Type": "application/json",
                        "Accept": "application/json",
                        "Origin":process.env.BASEURL
                    },
                    body: submitPassword
                });
                const actualSubmitPassword = await result.json();
                if(actualSubmitPassword.status == true){ 
                toast(actualSubmitPassword.message)
                SetPassword(' ');
                SetNewPassword(' ');
                Setconfirmpassword(' ');
                $('#blanckpassword')[0].reset();
                $("input" ).removeClass("is-valid");
                }else{ 
                    toast(actualSubmitPassword.message);
                   navigator.vibrate(400)
                }
            } catch (err) {
                console.log("Your Error is", err);
            }
            }else{
                if(password.length == 0 ){
                    SetPasswordErr('Password Required')
                }
                else if(newpassword.length == 0){
                    SetNewPasswordErr('New Password Required')
                }
                else if(confirmpassword.length == 0){
                    SetconfirmpasswordErr('Confirm Password Required')
                }else if(confirmpassword != newpassword){
                    SetconfirmpasswordErr('Password Not Matched')
                }
            }
    useEffect(() => {
        submitPassword();
        }, []);
    }
    return (
        <>
        <Helmet>
        <title>Matka</title>
        <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;"/>
        </Helmet>
        <div class="col-sm-4 m-auto">

            <div className="container-fluid" style={{backgroundColor:"#191c21",height:"50px"}}>
                <div className="d-flex row pt-2">
                    <div className="col-1 ">
                        <NavLink to={`/${process.env.USER}/home`} className="NavLink "><img src={back} width="30px" /></NavLink>
                    </div>
                    <div className="col-11 center pt-1">
                        <h5 className="d-flex justify-content-left text-capitalize align-items-center">Change Password</h5>
                    </div>       
                </div>
            </div>

            <div className="container  " >
                <div className="password">
                    <div className="topPassword">
                        <h6>Change Password</h6>
                    </div>
                    <form id="blanckpassword">
                    <div className="wrapper" >
                        <div class="icon_jr" onClick={(e) => togglePassword(e)}>{passwordShown ? <VisibilityIcon className='text-right' /> : <VisibilityOffIcon className='text-right' />}</div>
                        <input className={classnames("form-control",{'is-invalid':passwordErr,'is-valid': !passwordErr && password.length > 0})} onChange = {(e) => {myChange(e,'password')}} name="password" type={passwordShown ? "text" : "password"} placeholder="Old Password" />
                    </div>
                    {passwordErr && <small className ="text-danger message">{passwordErr}</small>}
                    <div className="wrapper" >
                        <div class="icon_jr " onClick={(e) => togglePassword1(e)}>{passwordShown1 ? <VisibilityIcon /> : <VisibilityOffIcon />}</div>
                        <input className={classnames("form-control",{'is-invalid':newpasswordErr,'is-valid': !newpasswordErr && newpassword.length >0 })} onChange = {(e) => {myChange(e,'new_password')}} type={passwordShown1 ? "text" : "password"} name="new_password" placeholder="New Password" />
                    </div>
                    {newpasswordErr && <small className ="text-danger message">{newpasswordErr}</small>}
                    <div className="wrapper mt-4" >
                        <div class="icon_jr" onClick={(e) => togglePassword2(e)}>{passwordShown2 ? <VisibilityIcon /> : <VisibilityOffIcon />}</div>
                        <input className={classnames("form-control",{'is-invalid':confirmpasswordErr,'is-valid': !confirmpasswordErr && confirmpassword.length > 0})} onChange = {(e) => {myChange(e,'confirm_password')}} type={passwordShown2 ? "text" : "password"} name="confirm_password" placeholder="Confirm Password" />
                    </div>
                    {confirmpasswordErr && <small className ="text-danger message">{confirmpasswordErr}</small>}
                    <div className="btop">
                        <button type="button" onClick={(e) => submitPassword(e)} className="btn btn btn-sm">Change</button>
                    </div>
                    </form>
                </div>
            </div>
        </div>
        {/* <div id="snackbarregister"></div> */}
        <ToastContainer
        position="bottom-center"
        autoClose={3000}
        hideProgressBar={false}
        newestOnTop={false}
        closeOnClick
        rtl={false}
        pauseOnFocusLoss
        draggable = {true}
        limit = {1} 
        pauseOnHover
        theme = "dark"
        draggablePercent = {60}
        />

        </>
    )
}

export default ChangePassword;

if (document.getElementById('component-ChangePassword')) {
    ReactDOM.render(<ChangePassword />, document.getElementById('component-ChangePassword'))
}