import React from 'react'
import ReactDOM from 'react-dom'
import DateRangeIcon from '@mui/icons-material/DateRange';
import MoreVertIcon from '@mui/icons-material/MoreVert';
import back from '../../../Assets/back.png';
import notfound from '../../../Assets/datanotfound.png';
import menu from '../../../Assets/menu.png';
import calender from '../../../Assets/calendar (1).png';
import { useState, useEffect } from 'react'
import helper from '../../../Helper/function';
import { Helmet } from 'react-helmet';
import { NavLink } from 'react-router-dom';
import '../../../Helper/customjs.js';
import DatePicker from "react-datepicker";
import moment from 'moment';
import { format } from "date-fns";
import "react-datepicker/dist/react-datepicker.css";
import { ToastContainer, toast } from 'react-toastify';

function GaliBidHistory() {
    const current = new Date();
    const date = `${current.getDate()}/${current.getMonth() + 1}/${current.getFullYear()}`;
    const [startDate, setStartDate] = useState(new Date());
    const [endDate, setEndDate] = useState(new Date());
    const [mdate, setDate] = useState(date);
    const [form, SetForm] = useState('');
    const [BidData, SetBidData] = useState([]);
    const [to, SetTo] = useState('');
    let sessionData = localStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [token, setToken] = useState(reqSessionData.unique_token)
    const GameBidData = (e, name) => {
        const data = {};
        data[name] = e.target.value;
        switch (name) {
            case 'form_date':
                SetForm(data.form_date)
                break;
            case 'to_date':
                SetTo(data.to_date)
                break;
            default: break;
        }
    }
    const convert = (str) => {
        var date = new Date(str),
            mnth = ("0" + (date.getMonth() + 1)).slice(-2),
            day = ("0" + date.getDate()).slice(-2);
        return [date.getFullYear(), mnth, day].join("-");
    }

    const onloadatdate = async (e) => {
        try {
            const mydata = { env_type: 1, unique_token: token, bid_from: convert(Date()), bid_to: convert(Date()) }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(mydata, encKey, 1);
            const gameBidData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let gameBidDatas = await fetch(process.env.APIURL + "/galidissawar-bid-history-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: gameBidData
            });
            const actualData = await gameBidDatas.json();
            if (actualData.status == true) {
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const bid_data = helper.EncrptDecryptApiData(responseData, original_key, 2);
                SetBidData((JSON.parse(bid_data)).result);
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        onloadatdate();
    }, []);
    const BidHistoryData = async (e) => {
        try {
            const mydata = { env_type: 1, unique_token: token, bid_from: convert(startDate), bid_to: convert(endDate) }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(mydata, encKey, 1);
            const gameBidData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let gameBidDatas = await fetch(process.env.APIURL + "/galidissawar-bid-history-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: gameBidData
            });
            const actualData = await gameBidDatas.json();
            if (actualData.status == true) {
                toast('No Data Found');
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const bid_data = helper.EncrptDecryptApiData(responseData, original_key, 2);
                SetBidData((JSON.parse(bid_data)).result);
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    if (BidData.length !== 0) {
        return (
            <>                   
                <Helmet>
                    <title>Matka</title>
                    <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                </Helmet>
                <div class="col-sm-4 m-auto">
                    <div className="container-fluid" style={{ overflow: "hidden", flexGrow: "1", position: "relative", backgroundColor: "#191c21" }}>
                        <div className="d-flex row pt-2">
                            <div className="col-1 ">
                                <NavLink to={`/${process.env.USER}/gali`} className="NavLink "><img src={back} width="28px" /></NavLink>
                            </div>
                            <div className="col-11 center  ">
                                <h5 className="py-1 d-flex justify-content-left text-capitalize align-items-center">Gali Disawar Bid History</h5>
                            </div>
                        </div>
                    </div>
                    <div className="contentk">
                        <div className="container">
                            <p className="fw-bold">From Date</p>
                            <div className="wrapper center" >
                                <img className="icon-img mt-2" width="5px" src={calender} />
                                <DatePicker
                                    className="form-control user  border border-dark"
                                    selected={startDate}
                                    selectsStart
                                    startDate={startDate}
                                    endDate={endDate}
                                    onChange={date => setStartDate(date)}
                                    maxDate={endDate}
                                />
                            </div>
                        </div>
                    </div>
                    <div className="contentk">
                        <div className="container">
                            <p className="fw-bold">To Date</p>
                            <div className="wrapper" >
                                <img className="icon-img mt-2" src={calender} width="5px" />
                                <DatePicker
                                    className="form-control user  border border-dark "
                                    selected={endDate}
                                    selectsEnd
                                    startDate={startDate}
                                    endDate={endDate}
                                    minDate={startDate}
                                    maxDate={endDate}
                                    onChange={date => setEndDate(date)}
                                />
                            </div>
                            <div className="content p-0">
                                <button type="button" className="btn btn btn-sm target-button" onClick={(e) => BidHistoryData(e)}>SUBMIT</button>
                            </div>
                        </div>
                    </div>

                    <div className="overflow-auto" style={{ height: "55vh" }}>
                        {
                            BidData.map((item, index) => {
                                let type = item.pana;
                                let myArray = type.split(" ");
                                return (
                                    <div className="content pt-3 " key={index}>
                                        <div className="container shadow py-1 ">
                                            <div className='row col-12 d-flex'>
                                                <div className='col-7' style={{ fontSize: "14px" }}>{item.game_name}</div>
                                                <div className="col-5 d-flex p-0 justify-content-end">{item.pana}</div>
                                            </div>
                                            <div className='row col-12 d-flex'>
                                                {(myArray[1] == 'Sangam') ?
                                                    (item.pana == 'Full Sangam') ? <><div className='col-3 padin m-0 p-0' style={{fontSize: "14px" }}>Pana</div>
                                                        <span className='col-7 m-0 p-0' style={{ fontSize: "14px" }}>&nbsp;&nbsp;{item.digits}</span>
                                                        <div className='col-3 padin m-0 p-0' style={{fontSize: "14px" }}>Pana</div>
                                                        <span className='col-7 m-0 p-0' style={{ fontSize: "14px" }}>&nbsp;&nbsp;{item.closedigits}</span></> :
                                                        ((item.pana == 'Half Sangam') && (item.session == "Close")) ? <>
                                                            <div className='col-3 padin m-0 p-0' style={{fontSize: "13.5px" }}>Digit</div>
                                                            <span className='col-7 m-0 p-0' style={{ fontSize: "14px" }}>&nbsp;&nbsp;{item.digits}</span>
                                                            <span className='col-2 text-end' style={{ fontSize: "14px", margin:"0", padding:"0"}}>{}</span>
                                                            <div className='col-3 padin m-0 p-0' style={{fontSize: "14px" }}>Pana</div>
                                                            <span className='col-7 m-0 p-0' style={{ fontSize: "14px" }}>&nbsp;&nbsp;{item.closedigits}</span>
                                                        </> : ((item.pana == 'Half Sangam') && (item.session == 'Open')) ? <>
                                                            <div className='col-3 padin m-0 p-0' style={{fontSize: "14px" }}>Digit</div>
                                                            <span className='col-7 m-0 p-0' style={{ fontSize: "14px" }}>&nbsp;&nbsp;{item.digits}</span>
                                                            <span className='col-2 text-end' style={{ fontSize: "14px", margin:"0", padding:"0"}}>{}</span>
                                                            <div className='col-3 padin m-0 p-0' style={{fontSize: "14px" }}>Pana</div>
                                                            <span className='col-7 m-0 p-0' style={{ fontSize: "14px" }}>&nbsp;&nbsp;{item.closedigits}</span>
                                                        </> :
                                                            '' : <><span className='col-3 padin m-0 p-0' style={{fontSize: "14px" }}>{} {myArray[1]} &nbsp;</span>
                                                        <div className='col-7 m-0 p-0' style={{ fontSize: "14px" }}>&nbsp;{item.digits}</div>
                                                        <span className='col-2 d-flex justify-content-end' style={{ fontSize: "14px", margin:"0", padding:"0" }}>{}</span></>
                                                }
                                            </div>
                                            <div className='row col-12 d-flex'>
                                                <div className='col-1 text-secondary' style={{ fontSize: "12px" }}>Date: </div>
                                                <div className='col-7 text-secondary text-start' style={{ fontSize: "12px" }}>&nbsp;&nbsp;{moment(item.createdAt).format('Do MMMM YYYY, h:mm A')}
                                                </div>
                                                <div className="col-4 text-end m-0 p-0">{item.points} Pts</div>
                                            </div>
                                        </div>
                                    </div>
                                )
                            })
                        }
                    </div>
                </div>
            </>
        )
    }
    else {
        return (
            <>
                <Helmet>
                    <title>Matka</title>
                    <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
                </Helmet>
                <div class="col-sm-4 m-auto">

                    <div className="container-fluid" style={{ backgroundColor: "#191c21" }}>
                        <div className="d-flex row pt-2">
                            <div className="col-1 ">
                                <NavLink to={`/${process.env.USER}/gali`} className="NavLink "><img src={back} width="28px" /></NavLink>
                            </div>
                            <div className="col-11 center  ">
                                <h5 className="py-1 d-flex justify-content-left text-capitalize align-items-center">Gali Disawar Bid History</h5>
                            </div>
                        </div>
                    </div>

                    <div className="contentk">
                        <div className="container">
                            <p className="fw-bold">From Date</p>
                            <div className="wrapper center" >
                                <img className="icon-img mt-2 " width="5px" src={calender} />
                                <DatePicker
                                    className="form-control user  border border-dark "
                                    selected={startDate}
                                    selectsStart
                                    startDate={startDate}
                                    endDate={endDate} 
                                    onChange={date => setStartDate(date)}
                                    maxDate={endDate}
                                    onFocus={(e) => e.target.readOnly = true}
                                />
                            </div>
                        </div>
                    </div>
                    <div className="contentk">
                        <div className="container">
                            <p className="fw-bold">To Date</p>
                            <div className="wrapper" >
                                <img className="icon-img mt-2" src={calender} width="5px" />
                                <DatePicker
                                    className="form-control user  border border-dark "
                                    selected={endDate}
                                    selectsEnd
                                    startDate={startDate}
                                    endDate={endDate}
                                    minDate={startDate}
                                    maxDate={endDate}
                                    onChange={date => setEndDate(date)}
                                    onFocus={(e) => e.target.readOnly = true}
                                />
                            </div>
                            <div className="content p-0">
                                <button type="button" className="btn btn btn-sm target-button" onClick={(e) => BidHistoryData(e)}>SUBMIT</button>
                            </div>
                        </div>
                    </div>

                    <div className="overflow-auto">
                        <div className='container-child-bottom'>
                            <div className='body-trans'>
                                <img src={notfound} style={{ width: "100%" }} alt="not found" />
                            </div>
                        </div>
                    </div>
                    <ToastContainer
                        position="bottom-center"
                        autoClose={3000}
                        hideProgressBar={false}
                        newestOnTop={false}
                        closeOnClick
                        rtl={false}
                        pauseOnFocusLoss
                        draggable={true}
                        limit={1}
                        pauseOnHover
                        theme="dark"
                        draggablePercent={60}
                    />
                </div>
            </>
        )
    }
}



export default GaliBidHistory;


