import React from 'react'
import { NavLink, useLocation } from 'react-router-dom';
import backArrow from '../../../Assets/back.png';

// import SingleDigit from '../../../Assets/game/single-digit.png';
// import jodiDigit from '../../../Assets/game/jodi-arrow.png';
// import SinglePanna from '../../../Assets/game/single-panna.png';
// import DoublePanna from '../../../Assets/game/double-panna.png';
// import TriplePanna from '../../../Assets/game/triple-panna.png';
// import FullSungam from '../../../Assets/game/full-sangam.png';
// import HalfSungam from '../../../Assets/game/half-sangam.png';

// import EvenOdd from '../../../Assets/game/Even-Odd.png';
// import jodiFamily from '../../../Assets/game/jodi-family.png';


import SingleDigit from '../../../Assets/game/new/single-digit.png';
import EvenOdd from '../../../Assets/game/new/even-odd.png';

import jodiDigit from '../../../Assets/game/new/jodi-digit.png';
import jodiFamily from '../../../Assets/game/new/jodi-family.png';

import SinglePanna from '../../../Assets/game/new/single-panna.png';
import DoublePanna from '../../../Assets/game/new/double-panna.png';
import TriplePanna from '../../../Assets/game/new/triple-panna.png';
// import PanaFamily from '../../../Assets/game/new/jodi-panna.png';
import PanaFamily from '../../../Assets/game/new/panna-family.png';

import FullSungam from '../../../Assets/game/new/full-sangam.png';
import HalfSungam from '../../../Assets/game/new/half-sangam.png';

import RedBracket from '../../../Assets/game/new/red-bracket.png';

import SpMotor from '../../../Assets/game/new/sp-motor.png';
import DpMotor from '../../../Assets/game/new/dp-motor.png';
import SpDpTpMotor from '../../../Assets/game/new/sp-dp-tp-motor.png';


import { Helmet } from 'react-helmet';
import { ToastContainer, toast } from 'react-toastify';
 

function Game() {
    const location = useLocation();

    function handleClick(e) {
        const { linkDisabled } = this.state
        if (linkDisabled) e.preventDefault()
    }
    console.log(location.state)
    function formatAMPM(date) {
        var hours = date.getHours();
        var minutes = date.getMinutes();
        var ampm = hours >= 12 ? 'PM' : 'AM';
        hours = hours % 12;
        hours = hours ? hours : 12;
        minutes = minutes < 10 ? '0' + minutes : minutes;
        var strTime = hours + ':' + minutes + ' ' + ampm;
        return strTime;
    }

    function Vibrate (){
        navigator.vibrate(400);
        toast("Open Time Closed You Can't Play");
    }
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>
            <div className="col-sm-4 m-auto">
                <div className='container-game'>
                    <div className='resposive'>
                        <div className='container-child-upper'>
                            <div className='header'>
                                <NavLink exact to={`/${process.env.USER}/home`} className='back-arrow'>
                                    <img src={backArrow} alt="back-arrow" />
                                </NavLink>
                                <div className='header-text text-capitalize'>
                                   {location.state.game_name}
                                </div>
                            </div>
                        </div>
                        <div className='container-child-bottom overflow-auto card-alignment-games'>
                            <div class="card-new card-new-1" style={{marginTop:"25px"}}>
                                <h2 class="card__title">Bid on Digit</h2>
                            </div>
                            <div className='blocks'>
                                <NavLink className='chamber' to={`/${process.env.USER}/singledetail`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }}>
                                    <img src={SingleDigit} alt="gamepic" />
                                </NavLink>
                                <NavLink className='chamber' to={`/${process.env.USER}/evenodd`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }}>
                                    <img src={EvenOdd} alt="gamepic" />
                                </NavLink>
                            </div>
                            <div class="card-new card-new-1">
                                <h2 class="card__title">Bid on Jodi</h2>
                            </div>
                            <div className='blocks'>
                                {location.state.open_time > formatAMPM(new Date) ?
                                    <NavLink className='chamber' to={`/${process.env.USER}/jodidetail`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }}>
                                        <img src={jodiDigit} alt="gamepic" />
                                    </NavLink>
                                    : 
                                    <div className='chamber'  onClick={Vibrate}>
                                        <img src={jodiDigit}  alt="gamepic" />
                                    </div>
                                }
                                {location.state.open_time > formatAMPM(new Date) ?
                                    <NavLink className='chamber' to={`/${process.env.USER}/jodifamily`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }}>
                                        <img src={jodiFamily} alt="gamepic" />
                                    </NavLink>
                                    : 
                                    <div className='chamber'  onClick={Vibrate}>
                                        <img src={jodiFamily}  alt="gamepic" />
                                    </div>
                                }
                                </div>
                                 <div className='blocks'>
                                    {location.state.open_time > formatAMPM(new Date) ?
                                    <NavLink className='chamber' to={`/${process.env.USER}/redbracket`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }} >
                                        <img src={RedBracket} alt="gamepic" />
                                    </NavLink>
                                    :
                                    <div className='chamber'  onClick={Vibrate}>
                                        <img src={RedBracket}  alt="gamepic" />
                                    </div>
                                    }
                                </div>
                            <div class="card-new card-new-1">
                                <h2 class="card__title">Bid on Panna</h2>
                            </div>
                            <div className='blocks'>
                                <NavLink className='chamber' to={`/${process.env.USER}/singlepanadetail`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }}>
                                    <img src={SinglePanna} alt="gamepic" />
                                </NavLink>
                                <NavLink className='chamber' to={`/${process.env.USER}/doublepanadetail`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }}>
                                    <img src={DoublePanna} alt="gamepic" />
                                </NavLink>
                            </div>
                            <div className='blocks'>
                            <NavLink className='chamber' to={`/${process.env.USER}/tripledetail`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }}>
                                    <img src={TriplePanna} alt="gamepic" />

                            </NavLink>
                            <NavLink className='chamber' to={`/${process.env.USER}/panafamily`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }}>
                                    <img src={PanaFamily} alt="gamepic" />

                            </NavLink>
                            </div>
                            <div className='blocks'>
                                <NavLink className='chamber' to={`/${process.env.USER}/spmotor`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }} >
                                    <img src={SpMotor} alt="gamepic" />
                                </NavLink>
                                <NavLink className='chamber' to={`/${process.env.USER}/dpmotor`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }} >
                                    <img src={DpMotor} alt="gamepic" />
                                </NavLink>
                                 </div>
                                <div className='blocks'>
                                <NavLink className='chamber' to={`/${process.env.USER}/spdptpmotor`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }} >
                                    <img src={SpDpTpMotor} alt="gamepic" />
                                </NavLink>
                            </div>
                            <div class="card-new card-new-1">
                                <h2 class="card__title">Bid on Sangam</h2>
                            </div>
                            <div className='blocks'>
                            {location.state.open_time > formatAMPM(new Date) ?
                                <NavLink className='chamber' to={`/${process.env.USER}/halfsungamdetail`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }} >
                                    <img src={HalfSungam} alt="gamepic" />
                                </NavLink>
                                 : 
                                 <div className='chamber'  onClick={Vibrate}>
                                     <img src={HalfSungam}  alt="gamepic" />
                                 </div>}
                            {location.state.open_time > formatAMPM(new Date) ?
                                <NavLink className='chamber' to={`/${process.env.USER}/fullsungamdetail`}  state={{ main_games: location.state.game_name,game_id:location.state.game_id,open_time:location.state.open_time,close_time:location.state.close_time }} >
                                    <img src={FullSungam} alt="gamepic" />
                                </NavLink>
                                 : 
                                 <div className='chamber'  onClick={Vibrate}>
                                     <img src={FullSungam}  alt="gamepic" />
                                 </div>} 
                            </div>
                        </div>
                    </div>

                </div>



            </div>
            <ToastContainer
                position="bottom-center"
                autoClose={3000}
                hideProgressBar={false}
                newestOnTop={false}
                closeOnClick
                rtl={false}
                pauseOnFocusLoss
                draggable={true}
                limit={1}
                pauseOnHover
                theme="dark"
                draggablePercent={60}
            />
        </>
    )
}

export default Game