import React from 'react'
import { useState, useEffect } from 'react'
import ReactDOM from 'react-dom'
import back from '../../../Assets/back.png'
import { Helmet } from 'react-helmet';
import 'jquery/dist/jquery.min.js';
import $ from 'jquery';
import { NavLink } from 'react-router-dom';
import helper from '../../../Helper/function';

function GamesRates() {
    let sessionData = localStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [token, setToken] = useState(reqSessionData.unique_token);
    const [singledigit, setsingledigit] = useState([]);


    const gamesData = async () => {
        try {
            const data = { env_type: 1, unique_token: token }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const gameData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let gameDatas = await fetch(process.env.APIURL + "/get-game-rates", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: gameData
            });
            const actualData = await gameDatas.json();
            if (actualData.status == true) {
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const game_data = helper.EncrptDecryptApiData(responseData, original_key, 2);
                setsingledigit(JSON.parse(game_data))
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        gamesData();
    }, []);
    
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0;" />
            </Helmet>
            <div class="col-sm-4 m-auto">
                <div className="container-fluid" style={{ backgroundColor: "#191c21", height:"50px" }}>
                    <div className="d-flex row pt-2">
                        <div className="col-1 ">
                            <NavLink to={`/${process.env.USER}/home`} className="NavLink "><img src={back} width="30px" /></NavLink>
                        </div>
                        <div className="col-11 center pt-1" style={{fontSize:"20px"}}>
                            <h5 className=" d-flex justify-content-left text-capitalize align-items-center">Games Rates</h5>
                        </div>
                    </div>
                </div>



                <div className="container">
                    <div className="remain-color  mt-3" >
                        <div className="row d-flex align-items-center text-center justify-content-center">
                            <div className=" colorschatm col-6 align-items-center">
                                <p className="pt-1" >Single Digit</p>
                            </div>
                            <div className="colorschat col-6 align-items-center">
                                <p>{singledigit.single_digit_1} - {singledigit.single_digit_2}</p>
                            </div>
                        </div>
                    </div>
                    <div className="remain-color  mt-3" >
                        <div className="row d-flex align-items-center text-center justify-content-center">
                            <div className=" colorschatm col-6 align-items-center ">
                                <p>Jodi Digit</p>
                            </div>
                            <div className="colorschat col-6 align-items-center ">
                                <p>{singledigit.jodi_digit_1} - {singledigit.jodi_digit_2}</p>
                            </div>
                        </div>
                    </div>
                    <div className="remain-color  mt-3 " >
                        <div className="row d-flex align-items-center text-center justify-content-center">
                            <div className=" colorschatm col-6 align-items-center">
                                <p className="pt-1">Single Panna</p>
                            </div>
                            <div className="colorschat col-6 align-items-center">
                            <p>{singledigit.single_pana_1} - {singledigit.single_pana_2}</p>
                            </div>
                        </div>
                    </div>
                    <div className="remain-color  mt-3" >
                        <div className="row d-flex align-items-center text-center justify-content-center">
                            <div className=" colorschatm col-6 align-items-center">
                                <p className="pt-1">Double Panna</p>
                            </div>
                            <div className="colorschat col-6 align-items-center">
                            <p>{singledigit.double_pana_1} - {singledigit.double_pana_2}</p>
                            </div>
                        </div>
                    </div>
                    <div className="remain-color  mt-3" >
                        <div className="row">
                            <div className=" colorschatm col-6">
                                <p className="pt-1">Triple Panna</p>
                            </div>
                            <div className="colorschat col-6">
                            <p>{singledigit.tripple_pana_1} - {singledigit.tripple_pana_2}</p>
                            </div>
                        </div>
                    </div>
                    <div className="remain-color  mt-3" >
                        <div className="row">
                            <div className=" colorschatm col-6">
                                <p className="pt-1">Half Sangam</p>
                            </div>
                            <div className="colorschat col-6">
                            <p>{singledigit.half_sangam_1} - {singledigit.half_sangam_2}</p>  
                            </div>
                        </div>
                    </div>
                    <div className="remain-color  mt-3" >
                        <div className="row">
                            <div className=" colorschatm col-6">
                                <p className="pt-1">Full Sangam</p>
                            </div>
                            <div className="colorschat col-6">
                            <p>{singledigit.full_sangam_1} - {singledigit.full_sangam_2}</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </>
    )
}

export default GamesRates;

if (document.getElementById('component-GamesRates')) {
    ReactDOM.render(<GamesRates />, document.getElementById('component-GamesRates'))
}