import React,{useState , useEffect } from 'react';
import '../../../css/main.scss'
import 'jquery/dist/jquery.min.js'
import 'bootstrap/dist/js/bootstrap.min.js'
import whatsapp from '../../../Assets/whatsapp-1.png';
import facebook from '../../../Assets/telegram-new1.png';
import linkedin from '../../../Assets/telephone-call.png';
import helper from '../../../Helper/function';


const Link = () => {

  const [MobileNumber,setMobileNumber] = useState('');
  const [WhatsAppMobileNumber,setWhatsAppMobileNumber] = useState('');
  const [TelegramLink,setTelegramLink] = useState('');
  

  const SocialData = async (e) => {
    e.preventDefault();
    try {
      const data = { env_type: 1 }
      const encKey = helper.randomString(32);
      var mykey = encKey.match(/.{1,8}/g)
      var myKey1 = helper.changeAlphaString(mykey[1], -3)
      var myKey2 = helper.changeAlphaString(mykey[3], -3)
      var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
      const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
      const getSocialData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
      let result = await fetch(process.env.APIURL + "/get-social-data", {
        method: 'POST',
        headers: {
          "Content-Type": "application/json",
          "Accept": "application/json",
          "Origin": process.env.BASEURL
        },
        body: getSocialData
      });

      const actualData = await result.json();
      if (actualData.status == true) {
        const responseData = actualData.resData;
        const responseKey = actualData.resKey;
        const socialData = { responseData, responseKey }
        var mykey = responseKey.match(/.{1,8}/g)
        var myKey1 = helper.changeAlphaString(mykey[1], -3)
        var myKey2 = helper.changeAlphaString(mykey[3], -3)
        var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
        const walletBalances = helper.EncrptDecryptApiData(responseData, original_key, 2);
        setMobileNumber((JSON.parse(walletBalances)).mobile_number);
        setWhatsAppMobileNumber((JSON.parse(walletBalances)).whatsapp_number);
        setTelegramLink((JSON.parse(walletBalances)).telegram_mobile);
      } else {
        return false;
      }
    } catch (err) {
      console.log("Your Error is", err);
    }
  }
  useEffect(() => {
    SocialData();
}, []);

  return (
    <div className="iconWindow" onLoad={SocialData}>
      <div className="LineText mt-2 mb-2 p-1 ">
        <span className="LineTextContent ">
          OR CONTACT US
        </span>
      </div>
      <div className='container  text-center justify-content-center align-items-center d-flex col-9'>
        <div className='col-3 p-2  text-center' ><a href={`tel:${MobileNumber==undefined?"":MobileNumber}`} target="_blank" ><img src={linkedin} className=" w-100" alt="LinkedIn-Svg"  /></a></div>
        <div className='col-3 p-2  text-center' ><a className='NavLink' href={`https://api.whatsapp.com/send?phone=${WhatsAppMobileNumber==undefined?"":WhatsAppMobileNumber}`} target="_blank" ><img src={whatsapp} className=" w-100" alt="Whatsapp-Svg" /></a></div>
        <div className='col-3 p-2  text-center' ><a className="NavLink" href={`https://t.me/${TelegramLink}`} target="_blank"><img src={facebook} className=" w-100" alt="FaceBook-Svg" /></a></div>
      </div>
    </div>
  )
}

export default Link;