import React,{useState, useEffect} from 'react'
import '../../../css/main.scss'
import 'jquery/dist/jquery.min.js'
import 'bootstrap/dist/js/bootstrap.min.js'
import { NavLink } from 'react-router-dom';
import PersonIcon from '@material-ui/icons/Person';
import SignImage from '../../../Assets/sign-up-image.png';
import PhoneIphoneIcon from '@material-ui/icons/PhoneIphone';
import LockIcon from '@material-ui/icons/Lock';
import VpnKeyIcon from '@material-ui/icons/VpnKey';
import ArrowForwardSharpIcon from '@material-ui/icons/ArrowForwardSharp';
import whatsapp from '../../../Assets/whatsapp-1.png';
import facebook from '../../../Assets/telegram-new1.png';
import linkedin from '../../../Assets/telephone-call.png';
import Logo from '../../../Assets/logo.png';
import { Helmet } from 'react-helmet';
import helper from '../../../Helper/function';
import {useNavigate} from 'react-router-dom';
import classnames from 'classnames';
import '../../../css/style.scss';
import MuiAlert from '@mui/material/Alert';
import $ from 'jquery';
import VisibilityIcon from '@mui/icons-material/Visibility';
import VisibilityOffIcon from '@mui/icons-material/VisibilityOff';
import Links from './Links.js';
import { ToastContainer, toast } from 'react-toastify';

const Login = () => {
    var timeleft = 0;
    localStorage.removeItem('loginData')
    const Navigate = useNavigate();
    const [mobile,setMobile] = useState('');
    const [password,setPassword] = useState('');
    const [mobileErr,setMobileErr] = useState('');
    const [passwordErr,setPasswordErr] = useState('');
    const [passwordShown1, setPasswordShown1] = useState(false);
    const [show,SetShow] = useState(false);

    const checkPassword = (e) => {
        SetShow(!show);
    }

    const getData = (e,name) =>{
        const user = {};
        user[name]=e.target.value;
        switch(name){
            case 'mobile':
                setMobile(user.mobile)
                user.mobile.length < 10 || user.mobile.length > 10 ? setMobileErr('Please Enter A Valid Mobile Number') : setMobileErr('');
                break;
                case 'password':
                    setPassword(user.password)
                    user.password.length < 8 ? setPasswordErr('') : setPasswordErr('');
                break;
                default:break;
                }
    }
    const login = async (e) => {
        e.preventDefault();
                if(mobile != '' && password != ''){
                    try {
                        const data = {
                            env_type:1,
                            mobile:mobile,
                            password:password
                        }
                        const encKey = helper.randomString(32);
                        var mykey = encKey.match(/.{1,8}/g)
                        var myKey1 = helper.changeAlphaString(mykey[1],-3) 
                        var myKey2 = helper.changeAlphaString(mykey[3],-3) 
                        var original_key = mykey[0]+myKey1+mykey[2]+myKey2
            
                        const reqdata = helper.EncrptDecryptApiData(data,encKey,1);
                        const UserLogin = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
                        let result = await fetch(process.env.APIURL+"/user-login", {
                            method: 'POST',
                            headers: {
                                "Content-Type": "application/json",
                                "Accept": "application/json",
                                "Origin":process.env.BASEURL
                            },
                            body: UserLogin
                        });
                        const actualData = await result.json();
                        if(actualData.status==true){
                            toast(actualData.message);
                            const responseData = actualData.resData;
                            const responseKey = actualData.resKey;
                            var mykey = responseKey.match(/.{1,8}/g)
                            var myKey1 = helper.changeAlphaString(mykey[1],-3) 
                            var myKey2 = helper.changeAlphaString(mykey[3],-3) 
                            var original_key = mykey[0]+myKey1+mykey[2]+myKey2
                            var loginDetails = helper.EncrptDecryptApiData(responseData,original_key,2);
                            localStorage.setItem('loginData' ,loginDetails);
                            Navigate(`/${process.env.USER}/reset`, {replace:true});
                        }
                        else{
                            toast(actualData.message);
                            navigator.vibrate(400)  
                        }
                    } catch (err) {
                        console.log("Your Error is", err);
                    }
                }
                else {
                    const userMyData = {mobile , password};
                        if(userMyData.mobile.length == ''){
                             setMobileErr('Mobile Number Required')
                        }
                        else if(userMyData.password.length == '' ){
                             setPasswordErr('Password Required');
                        }
                }
            }

  return (  
    <>
    <Helmet>
        <title>Matka</title>
        <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;"/>
    </Helmet>
    <div className="support1 container "></div>
    <section className='Login_Auth container-fluid justify-content-center align-items-center m-auto' style={{ height: "100%", overflow:"scroll" }}>
        <div className='Form m-auto col-md-3 d-block ' >
            <div className='Form-Holder w-100 d-block'>
                <div className='row '>
                    <div className='col-md-12 img1 d-flex justify-content-center text-align-center ' style={{ backgroundImage: `url(${SignImage})` }}>
                    <div className='ContentImage col-md-12 row text-center'>
                                    <div className='col-md-8 d-flex justify-content-center text-align-center m-auto '>
                                    <img src={Logo} alt="UserImage" className='mb-5 logo' width="100%" />
                                    </div>
                                </div> 
                    </div>
                    <div className='col-md-12 '>
                        <div className="form-group h-100 ms-auto ">
                            <form>
                                <div className="iconButton">
                                    <div className='py-2 thndr1'>
                                        <h1 className='ps-3 titleText'>SIGN-IN</h1>
                                    </div>
                                </div>
                                <div className="input-icon">
                                    <div className="mt-3 position-relative">
                                        <i className="icons"><PhoneIphoneIcon /></i>
                                        <input className={classnames("input-field m-auto form-control mobile-valid only_number  border border-dark",{'is-invalid':mobileErr,'is-valid': !mobileErr && mobile.length})} onChange={(e) => {getData(e,'mobile')}} name="mobile" type="number" placeholder="MOBILE NUMBER" autoComplete='off'/>
                                    </div>
                                    {mobileErr && <small className="text-danger message p-1">{mobileErr}</small>}
                                    <div className="mt-3 position-relative">
                                        <i className="icons"><LockIcon /></i>
                                        <i className="iconsmy" onClick={(e) => checkPassword(e)}> {show ? <VisibilityIcon className='text-right' /> : <VisibilityOffIcon className='text-right' />}</i>
                                        <input className={classnames("input-field m-auto form-control password-valid border border-dark",{'is-invalid':passwordErr,'is-valid': !passwordErr && password.length})} onChange={(e) => {getData(e,'password')}} name="password" type={show ? "text" : "password"} placeholder="PASSWORD" />
                                    </div>
                                    {passwordErr && <small className="text-danger message">{passwordErr}</small>}
                                </div>
                                <div className='m-auto d-flex justify-content-center align-items-center text-center'>
                                    <button type="submit" className="btn text-white  SubmitBtn text-center" onClick={login}><span>SIGN IN &nbsp;</span> <span><ArrowForwardSharpIcon className="mb-1" /></span> </button>
                                </div>
                                <div className=" form-check text-center pt-1 mt-1">
                                            <label className="form-check-label pe-3 text-center " ><NavLink to={`/${process.env.USER}/forget`} className="" style={{ textDecoration: "none", fontSize: '11px', color: 'black', letterSpacing: "1px" }}><b>FORGOT PASSWORD</b></NavLink></label>
                                </div>
                                <div className=" form-check text-center pt-1 mt-1">
                                            <label className="form-check-label  text-center" ><NavLink to='#' className="" style={{ textDecoration: "none", fontSize: '9px', color: 'gray', letterSpacing: "2px" }}>DON'T HAVE AN ACCOUNT?</NavLink></label>
                                            <label className="form-check-label ps-2 text-center " ><NavLink to={`/${process.env.USER}/register`} className="" style={{ textDecoration: "none", color: '#191c21', fontWeight: '900', fontSize: '11px', letterSpacing: "1px" }}><b>CREATE ACCOUNT</b></NavLink></label>
                                </div>
                                        <ToastContainer
                                            position="bottom-center"
                                            autoClose={3000}
                                            hideProgressBar={false}
                                            newestOnTop={false}
                                            closeOnClick
                                            rtl={false}
                                            pauseOnFocusLoss
                                            draggable = {true}
                                            limit = {1} 
                                            pauseOnHover
                                            theme = "dark"
                                            draggablePercent = {60}
                                        />
                                        <Links />
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</>
  )
}

export default Login;