import React, { useState } from 'react'
import '../../../css/main.scss'
import '../../../css/Resetpin.scss'
import 'jquery/dist/jquery.min.js'
import 'bootstrap/dist/js/bootstrap.min.js'
import { NavLink } from 'react-router-dom';
import SignImage from '../../../Assets/sign-up-image.png';
import ArrowForwardSharpIcon from '@material-ui/icons/ArrowForwardSharp';
import facebook from '../../../Assets/telegram-new1.png';
import linkedin from '../../../Assets/telephone-call.png';
import whatsapp from '../../../Assets/whatsapp-1.png';
import Input from "react-otp-input";
import Logo from '../../../Assets/logo.png';
import { Helmet } from 'react-helmet';
import helper from '../../../Helper/function';
import custom from '../../../Helper/customjs';
import $ from 'jquery';
import Links from './Links.js';

import { useNavigate } from "react-router-dom";
import CheckIcon from '@mui/icons-material/Check';
import '../../../Helper/customjs.js';

import { ToastContainer, toast } from 'react-toastify';
import 'react-toastify/dist/ReactToastify.css';

const Otp = () => {
    const [OTP, setOTP] = useState('');
    const [otpErr, setOtpErr] = useState('');
    const [count, setCount] = useState(2);
    let navigate = useNavigate();
    let myUser = localStorage.getItem('dataRegister');
    let sessionData = JSON.parse(myUser);
    const [mobile, SetMobile] = useState(sessionData.mobile)

    const ResendOtp = async (e) => {
        e.preventDefault()
        try {
            const data = { env_type: 1, mobile: sessionData.mobile }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const ResendData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`

            let result = await fetch(process.env.APIURL + "/resend-otp", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: ResendData
            });
            const actualResendData = await result.json();
            if (actualResendData.status == true) {
                toast(actualResendData.message)
                helper.downloadTimer();
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }

    const submitOtp = async (e) => {
        e.preventDefault()
        let myUser = localStorage.getItem('dataRegister');
        let sessionData = JSON.parse(myUser);
        const otpVerifyErr = { OTP }
        if (otpVerifyErr.OTP.length != '') {
            try {
                const data = { env_type: 1, otp: OTP, mobile: sessionData.mobile }
                const encKey = helper.randomString(32);
                var mykey = encKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
                const OtpData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
                let result = await fetch(process.env.APIURL + "/check-user-otp", {
                    method: 'POST',
                    headers: {
                        "Content-Type": "application/json",
                        "Accept": "application/json",
                        "Origin": process.env.BASEURL
                    },
                    body: OtpData
                });
                const actualData = await result.json();
                if (actualData.status == true) {
                    try {
                        let dataUser = localStorage.getItem('dataRegister');

                        const data = { env_type: 1, name: sessionData.userName, mobile: sessionData.mobile, password: sessionData.password, email: sessionData.email, security_pin: sessionData.mpin,reffer_id: sessionData.refeeral }
                        const encKey = helper.randomString(32);


                        var mykey = encKey.match(/.{1,8}/g)
                        var myKey1 = helper.changeAlphaString(mykey[1], -3)
                        var myKey2 = helper.changeAlphaString(mykey[3], -3)
                        var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                        const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
                        const UserRegister = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`


                        let result = await fetch(process.env.APIURL + "/user-registration", {
                            method: 'POST',
                            headers: {
                                "Content-Type": "application/json",
                                "Accept": "application/json",
                                "Origin": process.env.BASEURL
                            },
                            body: UserRegister
                        });
                        const actualData = await result.json();

                        if (actualData.status == true) {
                            const responseData = actualData.resData;
                            const responseKey = actualData.resKey;
                            var mykey = responseKey.match(/.{1,8}/g)
                            var myKey1 = helper.changeAlphaString(mykey[1], -3)
                            var myKey2 = helper.changeAlphaString(mykey[3], -3)
                            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                            let userData = helper.EncrptDecryptApiData(responseData, original_key, 2);
                            localStorage.setItem("userProfileData", JSON.stringify(actualData));
                            // var mykey = responseKey.match(/.{1,8}/g)
                            // var myKey1 = helper.changeAlphaString(mykey[1], -3)
                            // var myKey2 = helper.changeAlphaString(mykey[3], -3)
                            // var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                            // const userData = helper.EncrptDecryptApiData(responseData, original_key, 2);
                            // $("#snackbarregister").html(messageHtml).fadeIn('slow').delay(2500).fadeOut('slow');
                            toast(actualData.message)
                            // localStorage.removeItem("dataRegister");
                            navigate(`/${process.env.USER}/home`, { replace: true })
                        } else {
                            setOTP('');
                        }
                    } catch (err) {

                        console.log("Your Error is", err);
                    }
                } else {
                    // var messageHtml = `<div class="row">
                    //     <div class="col-2">
                    //     <img src=${Logo} alt="rahul.jpeg" width="40px">
                    //     </div>
                    //     <div class="col-10 pt-2">
                    //         ${actualData.message}
                    //     </div>
                    //     </div>`;
                    setOtpErr('');
                    setOTP('');
                    setCount(count - 1);
                    {toast(`You have entered Wrong Otp, ${count} Attempt Left`)};
                    if(count < 1){
                        navigate(`/${process.env.USER}/register`, { replace: true })
                    }
                    navigator.vibrate(400)
                }
            } catch (err) {
                console.log("Your Error is", err);
            }
        } else {
            setOtpErr('OTP Required');
            navigator.vibrate(400);
        }
    }
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>
            <div className="support1 container "></div>
            <section className='Login_Auth container-fluid  justify-content-center align-items-center m-auto' style={{ height: "auto", }}>
                <div className='Form col-md-3 m-auto d-block'>
                    <div className='Form-Holder w-100 d-block'>
                        <div className='row '>
                            <div className='col-md-12 img1 d-flex justify-content-center text-align-center ' style={{ backgroundImage: `url(${SignImage})` }}>
                                <div className='ContentImage col-md-12 row text-center'>
                                    <div className='col-md-8 d-flex justify-content-center text-align-center m-auto'>
                                        <img src={Logo} alt="UserImage" className='mb-5 logo' width="100%" />
                                    </div>
                                </div>
                            </div>
                            <div className='col-md-12'>
                                <div className="form-group h-100 ms-auto ">
                                    <form>
                                        <div className="iconButton">
                                            <div className='py-2 thndr1'>
                                                <h1 className='ps-3 titleText'>VERIFY OTP</h1>
                                            </div>
                                            <div className='py-0 thndr1 text-center '>
                                                <p className="text-secondary " style={{ fontWeight: "lighter", fontSize: "10px", textTransform: "uppercase", letterSpacing: "2px" }}>A SMS Containinig One Time Password Has Been Sent To Your Registered Mobile Number {"XXXXXX" + mobile.substring(6, 10)}</p>
                                                <h1 className='ps-2 titleText mt-4'>Enter OTP Below</h1>
                                            </div>
                                        </div>
                                        <div className="input-icons text-center mt-4">
                                            <div className=" m-auto mb-2 d-flex justify-content-center align-items-center text-center ">
                                                {/* <Input
                                                value={OTP}
                                                onChange={setOTP}
                                                autoFocus
                                                numInputs={4}
                                                OTPLength={4}
                                                otpType="number"
                                                secure
                                                separator={<span>&nbsp;</span>}
                                            /> */}

                                                <div className="typer-child">
                                                    <Input
                                                        id="OtpId"
                                                        value={OTP}
                                                        onChange={setOTP}
                                                        className="mpin"
                                                        numInputs={4}
                                                        type={Number}
                                                        name="otp"
                                                        isInputNum="true"
                                                        data-cy="true"
                                                        data-testid="true"
                                                    />
                                                </div>
                                            </div>
                                        </div>
                                        <div className="otp-message-wall">
                                            {(otpErr && OTP.length < 4) && <small className="text-danger main-msg-otp">{otpErr}</small>}
                                        </div>
                                        <div className='m-auto d-flex justify-content-center align-items-center text-center mt-3'>
                                            {/* <NavLink className="NavLink" to="/customer/home"> */}
                                            <button type="submit" onClick={(e) => submitOtp(e)} className="btn text-white SubmitBtn text-center "><span>VERIFY &nbsp;</span> <span><ArrowForwardSharpIcon className="mb-1" /></span> </button>
                                            {/* </NavLink> */}
                                        </div>

                                        <div className=" form-check text-center mt-3">
                                            <label className="form-check-label  text-center" ><button to='#' id="myOtp" className="" onClick={(e) => ResendOtp(e)} style={{ textDecoration: "none", border: "none", color: '#191c21', fontSize: '11px', backgroundColor: 'white' }}>RESEND OTP ? </button></label> &nbsp;&nbsp;&nbsp;
                                            {/* <p id="myCount"></p> */}
                                            {/* <label className="form-check-label ps-1 text-center pe-3 " ><NavLink to='/' className="" style={{ textDecoration: "none", color: '#191c21', fontSize: '12px' }}>SIGN-IN </NavLink></label> */}
                                        </div>
                                        {/* <div id="snackbarresend"   ></div>
                                        <div id="snackbarregister"   ></div>
                                        <div id="snackmyerr"  ></div> */}
                                                <ToastContainer
                                                position="bottom-center"
                                                autoClose={3000}
                                                hideProgressBar={false}
                                                newestOnTop={false}
                                                closeOnClick
                                                rtl={false}
                                                pauseOnFocusLoss
                                                draggable = {true}
                                                limit = {1} 
                                                pauseOnHover
                                                theme = "dark"
                                                draggablePercent = {60}
                                                />
                                        <Links />

                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        </>
    )

}

export default Otp;