import React,{useState , useEffect} from 'react'
import { NavLink,useLocation } from 'react-router-dom';
import backArrow from '../../../Assets/back.png';
// import SingleDigit from '../../../Assets/game/single-digit.png';
// import SinglePanna from '../../../Assets/game/single-panna.png';
// import DoublePanna from '../../../Assets/game/double-panna.png';
// import TriplePanna from '../../../Assets/game/triple-panna.png';
import { Helmet } from 'react-helmet';
import SingleDigit from '../../../Assets/game/new/single-digit.png';
import SinglePanna from '../../../Assets/game/new/single-panna.png';
import DoublePanna from '../../../Assets/game/new/double-panna.png';
import TriplePanna from '../../../Assets/game/new/triple-panna.png';
import helper from '../../../Helper/function';


function StarlineGame() {
    const location = useLocation();
    let profileSessionData = localStorage.getItem('profileDataUser')
    const UserShowData = JSON.parse(profileSessionData);
    let sessionData = localStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [Status , setStatus] = useState('');
    const [token, setToken] = useState(reqSessionData.unique_token)
    const GameStatus = async (e) => {
        e.preventDefault();
        try {
            const data = { env_type: 1, unique_token: token,game_id:location.state.game_id }
            const encKey = helper.randomString(32);

            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2

            const reqdata = helper.EncrptDecryptApiData(data, encKey, 1);
            const walletBal = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let walletBalanceDatas = await fetch(process.env.APIURL + "/check-starline-games-status", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: walletBal
            });

            const actualData = await walletBalanceDatas.json();
            setStatus(actualData.game_status);
        } catch (err) {
            console.log("Your Error is", err);
        }
        // useEffect(() => {
        //     GameStatus();
        // }, [])
    }
    
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;"/>
            </Helmet>
            <div class="col-sm-4 m-auto">



            <div className='container-game' onLoad={GameStatus}>
                <div className='resposive'>
                    <div className='container-child-upper '>
                        <div className='header'>
                            <NavLink exact to="/customer/starline" className='back-arrow'>
                                <img src={backArrow} alt="back-arrow" />
                            </NavLink>
                            <div className='header-text'>
                            {location.state.game_name}
                            </div>
                        </div>
                    </div>
                    <div className='container-child-bottom'>
                        <div className='blocks'>
                                {
                                    Status != 0 ?
                                    <NavLink className='chamber'  to="/customer/starlinedetails" state={{game_id : location.state.game_id , main_games : location.state.game_name}}>
                                        <img src={SingleDigit} alt="gamepic" />
                                    </NavLink>:
                                    <NavLink className='chamber'  to="#">
                                        <img src={SingleDigit} alt="gamepic" />
                                    </NavLink>
                                }
                                {
                                    Status != 0 ?
                                    <NavLink className='chamber'  to="/customer/starlinesingledetails" state={{game_id : location.state.game_id , main_games : location.state.game_name}}>
                                        <img src={SinglePanna} alt="gamepic" />
                                    </NavLink>:
                                    <NavLink className='chamber'  to="#">
                                        <img src={SinglePanna} alt="gamepic" />
                                    </NavLink>
                                }
                                </div>
                                <div className='blocks'>
                                {
                                    Status != 0 ?
                                    <NavLink className='chamber'  to="/customer/starlinedoubledetails" state={{game_id : location.state.game_id , main_games : location.state.game_name}}>
                                        <img src={DoublePanna} alt="gamepic" />
                                    </NavLink>:
                                    <NavLink className='chamber'  to="#">
                                        <img src={DoublePanna} alt="gamepic" />
                                    </NavLink>
                                }
                                {
                                    Status != 0 ?
                                    <NavLink className='chamber'  to="/customer/starlinetripledetails" state={{game_id : location.state.game_id , main_games : location.state.game_name}}>
                                    <img src={TriplePanna} alt="gamepic" />
                                    </NavLink>:
                                    <NavLink className='chamber'  to="#">
                                    <img src={TriplePanna} alt="gamepic" />
                                    </NavLink>
                                }
                                
                        </div>
                    </div>
                </div>

            </div>



            </div>
        </>
    )
}

export default StarlineGame