import React from 'react'
import back from '../../../Assets/back.png';
import notfound from '../../../Assets/datanotfound.png';
import calender from '../../../Assets/calendar (1).png';
import { useState, useEffect } from 'react'
import helper from '../../../Helper/function';
import { Helmet } from 'react-helmet';
import { NavLink } from 'react-router-dom';
import '../../../Helper/customjs.js';
import DatePicker from "react-datepicker";
import moment from 'moment';
import "react-datepicker/dist/react-datepicker.css";
import { ToastContainer, toast } from 'react-toastify';



function StarlineWinHistory() {
    const current = new Date();
    const date = `${current.getDate()}/${current.getMonth() + 1}/${current.getFullYear()}`;
    const [startDate, setStartDate] = useState(new Date());
    const [endDate, setEndDate] = useState(new Date());
    const [BidData, SetBidData] = useState([]);
    const [to, SetTo] = useState('');
    let sessionData = localStorage.getItem('userProfileData');
    const reqSessionData = JSON.parse(sessionData);
    const [token, setToken] = useState(reqSessionData.unique_token)
    const convert = (str) => {
        var date = new Date(str),
            mnth = ("0" + (date.getMonth() + 1)).slice(-2),
            day = ("0" + date.getDate()).slice(-2);
        return [date.getFullYear(), mnth, day].join("-");
    }
    const changeTargetDate = (date) => {
        if (date.getTime() > endDate.getTime()) {
            setEndDate(new Date())
        }
    }
    const onloadatdate = async (e) => {
        try {
            const mydata = { env_type: 1, unique_token: token, date_from: convert(Date()), date_to: convert(Date()) }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(mydata, encKey, 1);
            const gameBidData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let gameBidDatas = await fetch(process.env.APIURL + "/Starline-wining-history-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: gameBidData
            });
            const actualData = await gameBidDatas.json();
            if (actualData.status == true) {
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const bid_data = helper.EncrptDecryptApiData(responseData, original_key, 2);
                SetBidData((JSON.parse(bid_data)).result);
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    useEffect(() => {
        onloadatdate();
    }, []);
    const BidHistoryData = async (e) => {
        try {
            const mydata = { env_type: 1, unique_token: token, date_from: convert(startDate), date_to: convert(endDate) }
            const encKey = helper.randomString(32);
            var mykey = encKey.match(/.{1,8}/g)
            var myKey1 = helper.changeAlphaString(mykey[1], -3)
            var myKey2 = helper.changeAlphaString(mykey[3], -3)
            var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
            const reqdata = helper.EncrptDecryptApiData(mydata, encKey, 1);
            const gameBidData = `{"reqdata" : "${reqdata}","reqkey":"${original_key}"}`
            let gameBidDatas = await fetch(process.env.APIURL + "/Starline-wining-history-data", {
                method: 'POST',
                headers: {
                    "Content-Type": "application/json",
                    "Accept": "application/json",
                    "Origin": process.env.BASEURL
                },
                body: gameBidData
            });
            const actualData = await gameBidDatas.json();
            if (actualData.status == true) {
                const responseData = actualData.resData;
                const responseKey = actualData.resKey;
                var mykey = responseKey.match(/.{1,8}/g)
                var myKey1 = helper.changeAlphaString(mykey[1], -3)
                var myKey2 = helper.changeAlphaString(mykey[3], -3)
                var original_key = mykey[0] + myKey1 + mykey[2] + myKey2
                const bid_data = helper.EncrptDecryptApiData(responseData, original_key, 2);
                SetBidData((JSON.parse(bid_data)).result);
            }
            else
            {
                toast('No Data Found');
            }
        } catch (err) {
            console.log("Your Error is", err);
        }
    }
    return (
        <>
            <Helmet>
                <title>Matka</title>
                <meta name="viewport" content="width=device-width; initial-scale=1; maximum-scale=1.0;" />
            </Helmet>
            <div class="col-sm-4 m-auto">

                <div className="container-fluid" style={{ overflow: "hidden", flexGrow: "1", position: "relative", backgroundColor: "#191c21" }}>
                    <div className="d-flex row pt-2">
                        <div className="col-1 ">
                            <NavLink to={`/${process.env.USER}/starline`} className="NavLink "><img src={back} width="28px" /></NavLink>
                        </div>
                        <div className="col-11 center  ">
                            <h5 className="py-1 d-flex justify-content-left text-capitalize align-items-center">Starline Game Win History</h5>
                        </div>
                    </div>
                </div>

                <div className="contentk">
                    <div className="container">
                        <p className="fw-bold">From Date</p>
                        <div className="wrapper center" >
                            <img className="icon-img mt-2" width="5px" src={calender} />
                            <DatePicker
                                className="form-control user  border border-dark "
                                selected={startDate}
                                onChange={(date) => { setStartDate(date), changeTargetDate(date) }}
                                selectsStart
                                startDate={startDate}
                                endDate={endDate}
                                maxDate={new Date()}
                                onFocus={(e) => e.target.readOnly = true}
                            />
                        </div>
                    </div>
                </div>
                <div className="contentk">
                    <div className="container">
                        <p className="fw-bold">To Date</p>
                        <div className="wrapper" >
                            <img className="icon-img mt-2" src={calender} width="5px" />
                            <DatePicker
                                className="form-control user  border border-dark "
                                selected={endDate}
                                onChange={(date) => setEndDate(date)}
                                selectsEnd
                                startDate={startDate}
                                endDate={endDate}
                                minDate={startDate}
                                maxDate={new Date()}
                                onFocus={(e) => e.target.readOnly = true}
                            />
                        </div>
                        <div className="content p-0">
                            <button type="button" className="btn btn btn-sm target-button" onClick={(e) => BidHistoryData(e)}>SUBMIT</button>
                        </div>
                    </div>
                </div>
                {(BidData.length !== 0) ?
                    <div className="overflow-auto" style={{ height: "65vh" }}>
                        {
                            BidData.map((item, index) => {
                                return (
                                    <div className="content pt-3 " key={index}>
                                        <div className="container shadow ">
                                            <div className='row col-12 d-flex bg-dark justify-content-end' style={{ borderRadius:"10px", marginLeft:"0px"}}>
                                                <div className='col-12' style={{ fontSize: "14px",color:"#fff" ,padding:"10px"}}>{item.transaction_note}</div>
                                            </div><br/>
                                            <div className='row col-12 d-flex'>
                                                <div className="col-12 d-flex">ID:-&nbsp;#{item.txn_id}</div>
                                            </div>
                                            <div className='row col-12 d-flex'>
                                                <div className='col-8 text-secondary' style={{ fontSize: "13px" }}>Date:- &nbsp;{moment(item.createdAt).format('Do MMMM YYYY, h:mm A')}</div>
                                                <div className="col-4 d-flex p-0 justify-content-end">{item.transaction_amount} Pts</div>
                                            </div>
                                        </div>
                                    </div>
                                )
                            })
                        }
                    </div>
                    : <div className="overflow-auto">
                        <div className='container-child-bottom'>
                            <div className='body-trans'>
                                <img src={notfound} style={{ width: "100%" }} alt="not found" />
                            </div>
                        </div>
                    </div>}
            </div>
            <ToastContainer
                position="bottom-center"
                autoClose={3000}
                hideProgressBar={false}
                newestOnTop={false}
                closeOnClick
                rtl={false}
                pauseOnFocusLoss
                draggable={true}
                limit={1}
                pauseOnHover
                theme="dark"
                draggablePercent={60}
            />
        </>
    )
}
export default StarlineWinHistory;

